### Hierarchy

- SwitchProps
  - FormSwitchInputProps

## Index

### Properties

- checked
- color
- id
- label
- labelPlacement
- name
- onValueChange
- type
- value

## Properties

### Optional checked

checked: undefined | false | true

Inherited from SwitchProps.checked

- Defined in /home/travis/build/BlueBaseJS/plugin-json-schema-components/node_modules/@bluebase/components/dist/components/Switch.d.ts:8

If true, the component is checked.

### Optional color

color: "primary" | "secondary" | "error" | "success" | "warning" | string

Inherited from SwitchProps.color

- Defined in /home/travis/build/BlueBaseJS/plugin-json-schema-components/node_modules/@bluebase/components/dist/components/Switch.d.ts:12

Color of the switch.

### Optional id

id: undefined | string

Inherited from SwitchProps.id

- Defined in /home/travis/build/BlueBaseJS/plugin-json-schema-components/node_modules/@bluebase/components/dist/components/Switch.d.ts:33

(Web Only) The id of the input element. Use this property to make label and helperText accessible for screen readers.

### Optional label

label: React.ReactNode

Inherited from SwitchProps.label

- Defined in /home/travis/build/BlueBaseJS/plugin-json-schema-components/node_modules/@bluebase/components/dist/components/Switch.d.ts:16

The text to be used in an enclosing label element.

### Optional labelPlacement

labelPlacement: "end" | "start" | "top" | "bottom"

Inherited from SwitchProps.labelPlacement

- Defined in /home/travis/build/BlueBaseJS/plugin-json-schema-components/node_modules/@bluebase/components/dist/components/Switch.d.ts:20

The position of the label.

### name

name: string

Overrides SwitchProps.name

- Defined in JsonForm/Fields/FormSwitchInput.tsx:10

### Optional onValueChange

onValueChange: undefined | function

Inherited from SwitchProps.onValueChange

- Defined in /home/travis/build/BlueBaseJS/plugin-json-schema-components/node_modules/@bluebase/components/dist/components/Switch.d.ts:28

Invoked with the new value when the value changes.

### type

type: "switch"

- Defined in JsonForm/Fields/FormSwitchInput.tsx:9

### Optional value

value: string | number | boolean

Inherited from SwitchProps.value

- Defined in /home/travis/build/BlueBaseJS/plugin-json-schema-components/node_modules/@bluebase/components/dist/components/Switch.d.ts:24

The value of the component.

Generated using TypeDoc